#
# spec file for package dvgt (Version 3.51L3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  svgalib te_kpath tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit te_ams te_kpath te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         dvgt
Copyright:    1986-88 Andrew Trevorrow, Ian Dall, 1993 Geoffrey Tobin, 1995 Rob Malouf
Group:        Applications/Publishing
Provides:     dvgt 
Requires:     tetex
Autoreqprov:  on
Version:      3.51L3
Release:      321
Summary:      A DVI previewer
Source:  dvgt-3.51L3.tar.gz
Patch:   dvgt-3.51L3.dif

%description
Dvgt is DVI previewer for console, terminals and
graphical terminals like tektronics or the good old
xterm.  Please note that dvgt tries to fit the
conditions of the DVI files, therefore the output
on text terminals is not legible.

Authors:
--------
    Andrew Trevorrow <akt@uacomsci.ua.oz>
    Ian Dall
    Geoffrey Tobin <ecsgrt@luxor.latrobe.edu.au>
    Rob Malouf <malouf@csli.stanford.edu>

SuSE series: tex

%prep
%setup
%patch

%build
cd src
make -f Makefile.linux
cd ../doc
make

%install
cd src
mkdir -p /usr/bin
mkdir -p %{_mandir}/man1
install -s -m 755 dvgt   /usr/bin/
install -c -m 644 dvgt.1 %{_mandir}/man1/
gzip -f9 %{_mandir}/man1/dvgt.1
cd ../doc
mkdir -p %{_docdir}/dvgt
install -c -m 644 sysguide.dvi  %{_docdir}/dvgt/
install -c -m 644 userguide.dvi %{_docdir}/dvgt/
cd ../
install -c -m 644 README        %{_docdir}/dvgt/
install -c -m 644 README.Linux  %{_docdir}/dvgt/
install -c -m 644 README-3.51l2 %{_docdir}/dvgt/
install -c -m 644 README.SuSE   %{_docdir}/dvgt/

%files
/usr/bin/dvgt
%{_mandir}/man1/dvgt.1.gz
%{_docdir}/dvgt/sysguide.dvi
%{_docdir}/dvgt/userguide.dvi
%{_docdir}/dvgt/README
%{_docdir}/dvgt/README.Linux
%{_docdir}/dvgt/README-3.51l2
%{_docdir}/dvgt/README.SuSE

%changelog -n dvgt
* Mon Mar 05 2001 - werner@suse.de
- Avoid svga/vga if not available on the current architecture
* Sat Dec 09 2000 - nashif@suse.de
-  sorted
* Mon Jun 05 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Wed Mar 01 2000 - uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 15 1999 - ro@suse.de
- fixed filelist
* Wed Jul 14 1999 - werner@suse.de
- Elementary fixes againsat buffer overflows
* Wed Jul 14 1999 - werner@suse.de
- New package of an old tool (dvi viewer for tek and other terminals)
- A few changes to support kpatsea and (some) virtual fonts.
- Fix 8 bit handling of characters
- Implement rudimentary DC to latin 1 mapping
